Information om operativsystem

Canon förstår att våra kunder ofta väljer att uppgradera sina befintliga operativsystem och sin teknik för tidigare inköpta Canon-produkter.

Innan kunderna gör detta rekommenderar dock Canon alltid att kunderna överväger om deras Canon-produkt kommer att fungera med det nya uppgraderade operativsystemet.

I allmänhet gäller att vid lanseringen av varje nytt operativsystem har Canon redan fastställt exakt vilka produkter som kan användas, och detta kommuniceras på våra supportwebbplatser.

Canon fattar sådana beslut i vetskap om att produktionen av drivrutiner och programvarusupport medför finansiella kostnader. Canon respekterar naturligtvis kundernas beslut att uppgradera tekniken, men Canon kan inte garantera att äldre Canon-produkter även i fortsättningen kan användas med nya operativsystem.

Obs! Canon rekommenderar att du kontrollerar din produkts kompatibilitet innan du uppgraderar ditt operativsystem.

Mac OS X-kompatibilitet

Kontrollera om produkten är kompatibel med ditt Mac OS X-operativsystem genom att välja produkten och använda filtren för att skräddarsy ditt val. Om produkten stöds, kan du hämta och installera drivrutinen. Du kommer också att kunna se annat tillgängligt innehåll, som programvara, användarhandböcker, firmware och vanliga frågor.

Kontrollera min Mac OS X-kompatibilitet >


Windows-kompatibilitet

Kontrollera om produkten är kompatibel med ditt Windows-operativsystem genom att välja produkten och använda filtren för att skräddarsy ditt val. Om produkten stöds, kan du hämta och installera drivrutinen. Du kommer också att kunna se annat tillgängligt innehåll, som programvara, användarhandböcker, firmware och vanliga frågor.

Kontrollera min Windows-kompatibilitet >

Meddelanden

Meddelande om Windows 10-enheter med Snapdragon

Flera Canon-produkter som har stöd för Windows 10 har inte stöd för Windows 10-enheter med Snapdragon.

Kontrollera om ditt system kör Snapdragon genom att i ”System” leta efter ”64-bitars operativsystem, ARM-baserad processor” eller ”32-bitars operativsystem, ARM-baserad processor”. Om det visas innebär det att Snapdragon är installerat. Du kan komma åt menyn genom att välja ”Kontrollpanelen” > ”Alla objekt på Kontrollpanelen” > ”System”.

Win10 Screenshot.jpg

De produkter som inte är kompatibla anges nedan -

Berörda produkter

PIXMA-produkter

Följande PIXMA-produkter är inte kompatibla med Windows 10 Snapdragon.

PIXMA
PIXMA iP3640PIXMA iP3650PIXMA PRO-1000PIXMA G1400
PIXMA G1500PIXMA G1410PIXMA MX7600PIXMA G2400
PIXMA G2500PIXMA G2410PIXMA TS3140PIXMA TS3150
PIXMA TS3151PIXMA E3140PIXMA TS5140PIXMA TS5150
PIXMA TS5151PIXMA TS6140PIXMA TS6150PIXMA TS6151
PIXMA TS8140PIXMA TS8150PIXMA TS8151PIXMA TS8152
PIXMA TS9140PIXMA TS9150PIXMA TS9155PIXMA TR7540
PIXMA TR7550PIXMA TR8540PIXMA TR8550

CanoScan-produkter

Alla CanoScan-produkter är inte kompatibla med Windows 10 Snapdragon.

CanoScan-produkter
LiDE120LiDE220

imagePROGRAF-produkter (storformatsskrivare)

Alla imagePROGRAF-produkter (storformatsskrivare) är inte kompatibla med Windows 10 Snapdragon.

Information om Windows 10 S

Windows 10 S är en version av Windows 10 med fokus på säkerhet. Endast appar från Windows Store kan installeras på datorer som kör Windows 10 S. 

De flesta Canonprodukter som är kompatibla med Windows 10 har en grundläggande drivrutin som redan är installerad i Windows 10 S, men det finns några produkter som inte har det här alternativet och således inte är kompatibla med Windows 10 S. Närmare information om Windows 10 S hittar du på sidan Microsoft Windows 10 S

De produkter som inte är kompatibla med Windows 10 S anges nedan.

Berörda produkter

PIXMA-produkter

Följande PIXMA-produkter är inte kompatibla med Windows 10 S: 

PIXMA
PIXMA G1400PIXMA G1500PIXMA G2400PIXMA G2500
PIXMA iP1100PIXMA iP1180PIXMA iP3600PIXMA iX4000
PIXMA iX5000PIXMA MX7600PIXMA PRO-1000

i-SENSYS-produkter

Följande i-SENSYS-produkter är inte kompatibla med Windows 10 S: 

i-SENSYS LBP-serien
i-SENSYS LBP151dwi-SENSYS LBP251dwi-SENSYS LBP252dwi-SENSYS LBP253x
i-SENSYS LBP6030i-SENSYS LBP6030Bi-SENSYS LBP6030wi-SENSYS LBP6230dw
i-SENSYS LBP7100Cni-SENSYS LBP7110Cw

i-SENSYS MF-serien
i-SENSYS MF211i-SENSYS MF212wi-SENSYS MF226dni-SENSYS MF229dw
i-SENSYS MF231i-SENSYS MF232wi-SENSYS MF237wi-SENSYS MF244dw
i-SENSYS MF247dwi-SENSYS MF249dwi-SENSYS MF411dw

i-SENSYS MF416dw

i-SENSYS MF418xi-SENSYS MF512xi-SENSYS MF515x

i-SENSYS MF623Cn

i-SENSYS MF628Cwi-SENSYS MF724Cdwi-SENSYS MF728Cdwi-SENSYS MF729Cx
i-SENSYS MF3010i-SENSYS MF8230Cni-SENSYS MF8280Cwi-SENSYS MF8540Cdn
i-SENSYS MF8550Cdni-SENSYS MF8580Cdn




i-SENSYS FAX 
i-SENSYS FAX-L100i-SENSYS FAX-L150i-SENSYS FAX-L170i-SENSYS FAX-L250

imageRUNNER-produkter

Följande imageRUNNER-produkter är inte kompatibla med Windows 10 S: 

imageRUNNER
imageRUNNER 1435imageRUNNER 1435iimageRUNNER 1435iFimageRUNNER 1435P
imageRUNNER 2204imageRUNNER 2204FimageRUNNER 2204NimageRUNNER C1225
imageRUNNER C1225iFimageRUNNER C1325iFimageRUNNER C1335iFimageRUNNER C1335iFC

imagePROGRAF-produkter (storformatsskrivare)

Alla imagePROGRAF-produkter (storformatsskrivare) är inte kompatibla med Windows 10 S.


Linux-kompatibilitet

PIXMA-skrivare och -allt-i-ett-skrivare, skannrar, i-SENSYS-laserskrivare och -allt-i-ett-skrivare, laserfaxar och personkopiatorer

Canon tillhandahåller för närvarande endast support för PIXMA-produkter och Linux-operativsystem genom att tillhandahålla basdrivrutiner på ett begränsat antal språk.

De här basdrivrutinerna omfattar eventuellt inte alla funktioner för alla skrivare och allt-i-ett-produkter, men de fungerar för grundläggande utskrift och scanning.

Linux-drivrutiner ingår inte som en del av Canons installations-CD-ROM utan de är i stället tillgängliga via vår support. Välj din produkt och filtrera resultatet efter språk och operativsystem.

Canon erbjuder inte specifik vidaresupport för Linux-relaterade problem utöver tillhandahållandet av de ursprungliga drivrutinerna.

Kontrollera min Linux-kompatibilitet >